package Msn;

# $Id: Msn.pm 28 2004-03-20 04:56:41Z tea $

use strict;
use warnings;

use Msn::Client;

use base qw/Exporter/;
use constant MSN_DISPATCH_SERVER => "messenger.hotmail.com:1863";
use constant MSN_USER_AGENT => "0x0409 win 4.10 i386 MSNMSGR 5.0.0544 MSMSGS";
#use constant MSN_USER_AGENT => "0x0409 winnt 6.0 i386 MSNMSGR 6.1.0207 MSMSGS";
use constant PASSPORT_URI => "https://nexus.passport.com:443/rdr/pprdr.asp";
use constant MSNP_VERSIONS => qw/MSNP10/;

our @EXPORT = qw/PASSPORT_URI MSN_DISPATCH_SERVER MSN_USER_AGENT MSNP_VERSIONS/;

# Msn->login($username, $password)
sub login($$)
{
    require 'Msn/Authentication.pm';
    
    my ($username, $password) = @_;
    my $msn = Msn::Client->new($username, $password);
    my $notification = Msn::Authentication->login($username, $password);
    
    $msn->setUsername($username);
    $msn->setNotification($notification);
    $msn;
}

1;

__END__

=pod

=head1 NAME

    Msn 


=head1 SYNOPSIS

    use Msn;
    use 

=head1 SEE ALSO

    

=head1 AUTHOR

    $Author$

=cut
