package Msn::Util::UserHash;

# $Id: UserHash.pm 31 2004-03-21 11:21:26Z tea $

sub new {
    my ($class) = @_;
    my $self = bless({}, $class);

    $self->{data} = {};
    $self;
}

sub add {
    my ($self, $key, $value) = @_;
    $self->{data}->{$key} = $value;
}

*set = *add;

sub get {
    my ($self, $key) = @_;
    return $self->{data}->{$key} || '';
}

sub remove {
    my ($self, $key) = @_;
    delete($self->{data}->{$key});
}

sub keys {
    my ($self) = @_;
    return keys %{$self->{data}};
}

1;
